Publi

There are 6 comments left Ir a comentario

  1. Pingback: Bitacoras.com /

  2. Pingback: BlogESfera.com /

  3. Karit /
    Usando Google Chrome Google Chrome 7.0.517.24 en Linux Linux

    Hola k tal!
    Podrías ayudarme con la instalación de gtkmm?
    Al ejecutar en consola el comando para saber que versión tengo instalada me devuelve:

    $ pkg-config –list-all | grep gtkmm
    Failed to open ‘/usr/lib64/pkgconfig/cblas.pc’: No such file or directory
    Failed to open ‘/usr/lib64/pkgconfig/libgcj-4.3.pc’: No such file or directory
    Package dri2proto was not found in the pkg-config search path.
    Perhaps you should add the directory containing `dri2proto.pc’
    to the PKG_CONFIG_PATH environment variable
    Package ‘dri2proto’, required by ‘gl’, not found

    Estoy en Sabayon 5.3 KDE de 64bits y no se como instalar los paquetes de gtkmm 🙁
    En los repositorios de Sabayon estan los siguientes paquetes y tengo los 3 instalados:

    # equo search gtkmm
    >> @@ Buscando…
    >> @@ Paquete: app-emulation/emul-linux-x86-gtkmmlibs-20100611 rama: 5, [repo_sabayonlinux.org]
    >> Disponible: versión: 20100611 ~ tag: NoTag ~ revisión: 0
    >> Instalado: versión: 20100611 ~ tag: NoTag ~ revisión: 0
    >> Bloque: 0
    >> Página: http://dev.gentoo.org/~pacho/emul.html
    >> Descripción: Provides precompiled 32bit libraries
    >> Licencia: LGPL-2.1 GPL-2 LGPL-2
    >> @@ Paquete: dev-cpp/gtkmm-2.2.12 rama: 5, [repo_sabayonlinux.org]
    >> Disponible: versión: 2.2.12 ~ tag: NoTag ~ revisión: 2
    >> Instalado: versión: 2.2.12 ~ tag: NoTag ~ revisión: 2
    >> Bloque: 2
    >> Página: http://gtkmm.sourceforge.net/
    >> Descripción: C++ interface for GTK+2
    >> Licencia: LGPL-2.1
    >> @@ Paquete: dev-cpp/gtkmm-2.20.3 rama: 5, [repo_sabayonlinux.org]
    >> Disponible: versión: 2.20.3 ~ tag: NoTag ~ revisión: 0
    >> Instalado: versión: 2.20.3 ~ tag: NoTag ~ revisión: 0
    >> Bloque: 2.4
    >> Página: http://www.gtkmm.org
    >> Descripción: C++ interface for GTK+2
    >> Licencia: LGPL-2.1
    >> Palabras clave: gtkmm
    >> Encontrados: 3 entradas

    Quisiera empezar a desarrollar en gtkmm ya, pero necesito instalarlo primero.
    Alguna sugerencia?

  4. admin / Post Author
    Usando Mozilla Firefox Mozilla Firefox 3.6 en Linux Linux

    @Karit
    Hola Karit, yo creo que debes instalar:
    @@ Paquete: dev-cpp/gtkmm-2.20.3 , el último de los que me dices, ¿ equo install ? Instala el paquete y yo creo que podrás empezar a trabajar ya, si quieres, instala glade-3, estoy preparando un post para utilizar glade y gtkbuilder, nos ayudará a crear GUIs de forma más fácil.

    De todas formas, parece que tienes problemas con cblas, libgjc y dri2proto y por eso pkg-config se queja, pero no es demasiado problema.

    Ya me dices si hay suerte.

  5. Karit /
    Usando Google Chrome Google Chrome 7.0.517.24 en Linux Linux

    MMM no se dejó… =(
    Tuve que instalar gtkmm desde el código fuente y ahora solo puedo compilar como usuario root.
    Jeje creo que algo hize mal en mi compilación…
    sin embargo no todo es tan feo, ya pude crear mi primera ventanita con gtkmm.
    Espero aprender más acerca de su uso ya que hasta el momento me gusta mas QT..

    THANKS!

  6. admin / Post Author
    Usando Mozilla Firefox Mozilla Firefox 3.6 en Linux Linux

    @Karit
    Ánimo !! Ya nos contarás.

Leave a Reply